faustaudio
Prev | Orchestra Opcodes and Operators | Next

## faustaudio

faustaudio — Instantiates and runs a compiled Faust program.

## Description

Faustaudio will instantiate and run a Faust program compiled with faustcompile.

## Syntax

    ihandle,a1[,a2,...] faustaudio ifac[,ain1,...]

## Initialization

“ifac” -- a handle to a compiled Faust program, produced by faustcompile.

“ihandle” -- a handle to the Faust DSP instance, which can be used to access its controls with faustctl.

## Performance

“ain1,...” -- input signals

“a1,...” -- output signals

## Examples

Here is an example of the faustaudio opcode, with a simple program that mixes two inputs:

Example 237.

    ifac faustcompile "process=+;", "-vec -lv 1"
    idsp,a1 faustaudio ifac,ain1,ain2

## Credits

Author: Victor Lazzarini, 2013

Prev | Up | Next
expsegr | Home | faustcompile